﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EntityMap
{
    public class EntityMapEventArgs : EventArgs
    {
        private string _statementId = String.Empty;
        private object _parameters = null;

        public string StatementId
        {
            get { return _statementId; }
        }

        public object Parameters
        {
            get { return _parameters; }
        }

        public EntityMapEventArgs( string statementId, object objParameters )
        {
            _statementId = statementId;
            _parameters = objParameters;
        }
    }
}
