﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EntityMap.Meta;

namespace EntityMap
{
    /// <summary>
    /// Abstraction of repository.
    /// </summary>
    public interface IEntityMapRepository
    {
        EntityInfo GetEntityInfo( Type entityType );

        void SaveEntityInfo( Type entityType, EntityInfo entityInfo );

        Type[] GetEntities();
    }
}
