﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;
using System.Xml.Serialization;

namespace EntityMap.Meta
{    
    public class ResultMap : Map
    {
        [XmlArray( "fields" )]
        [XmlArrayItem( typeof( Field ), ElementName = "field" )]
        [XmlArrayItem( typeof( ComplexField ), ElementName = "complexField" )]
        public Collection<Field> Fields = new Collection<Field>();

        public ResultMap()
        {
        }
    }
}
